> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get interest history

> get spot margin interest history

**Limit 10 requests per 60 seconds**

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "meta": {
              "total": 1865,
              "recordsPerPage": 25,
              "currentPage": 1
          },
          "rows": [
              {
                  "id": 1649844,
                  "token": "USDT",
                  "side": "LOAN",
                  "status": "SUCCEED",
                  "quantity": "14896.05440493",
                  "userId": 10988,
                  "applicationId": "6400b4f6-d354-4e7f-844f-6153b666e2b6",
                  "interest": "-0.14896054",
                  "hourlyRate": "0.00001",
                  "annualRate": "0.0876",
                  "createdTime": 1696637410973,
                  "updatedTime": 1696637410973,
                  "loanAmount": "14896.05440493"
              },
              {
                  "id": 1649752,
                  "token": "USDT",
                  "side": "AUTO_REPAY",
                  "status": "SUCCEED",
                  "quantity": null,
                  "userId": 10988,
                  "applicationId": "6400b4f6-d354-4e7f-844f-6153b666e2b6",
                  "interest": "2.02039756",
                  "hourlyRate": null,
                  "annualRate": null,
                  "createdTime": 1696637405108,
                  "updatedTime": 1696637405124,
                  "loanAmount": null
              }
          ]
      },
      "timestamp": 1721351502594
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/spotMargin/interestHistory
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/spotMargin/interestHistory:
    get:
      description: get spot margin interest history
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: token
          in: query
          description: Token name in upper case
          required: true
          schema:
            type: string
        - name: side
          in: query
          description: LOAN/REPAY/AUTO_REPAY
          required: false
          schema:
            type: string
        - name: startTime
          in: query
          description: Start timestamp in Unix timestamp format in milliseconds
          required: false
          schema:
            type: integer
        - name: endTime
          in: query
          description: End timestamp in Unix timestamp format in milliseconds
          required: false
          schema:
            type: integer
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
        - name: size
          in: query
          description: Data size per page
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInterestHistoryResponse'
      security: []
components:
  schemas:
    GetInterestHistoryResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                        description: The unique identifier for the loan transaction.
                      token:
                        type: string
                        description: >-
                          The token symbol associated with the loan, e.g.,
                          'USDT'.
                      side:
                        type: string
                        description: >-
                          The transaction side, e.g., 'LOAN' for loan
                          transactions.
                        enum:
                          - LOAN
                          - REPAY
                          - AUTO_REPAY
                      status:
                        type: string
                        description: >-
                          The transaction status, e.g., 'SUCCEED' for completed
                          transactions.
                        enum:
                          - SUCCEED
                          - FAILED
                      quantity:
                        type: string
                        description: >-
                          The quantity of the token involved in the loan
                          transaction.
                      userId:
                        type: integer
                        description: >-
                          The unique identifier of the user involved in the
                          transaction.
                      applicationId:
                        type: string
                        description: >-
                          The unique identifier for the application associated
                          with the transaction.
                      interest:
                        type: string
                        description: The interest amount incurred on the loan transaction.
                      hourlyRate:
                        type: string
                        description: The hourly interest rate for the loan.
                      annualRate:
                        type: string
                        description: The annual interest rate for the loan.
                      createdTime:
                        type: integer
                        description: >-
                          The time the loan transaction was created, represented
                          as a Unix timestamp (milliseconds).
                      updatedTime:
                        type: integer
                        description: >-
                          The time the loan transaction was last updated,
                          represented as a Unix timestamp (milliseconds).
                      loanAmount:
                        type: string
                        description: The total loan amount involved in the transaction.
                meta:
                  $ref: '#/components/schemas/Meta'
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp
    Meta:
      type: object
      properties:
        total:
          type: integer
          description: Total number of record
        recordsPerPage:
          type: integer
          description: Number of records per page
        currentPage:
          type: integer
          description: Current page number

````